%global rbname rdtool

%global momorel 8
%global emacsver 23.1
%global xemacsver 21.5.29
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: RD formatter
Name: ruby-%{rbname}
Version: 0.6.22
Release: %{momorel}m%{?dist}
Group: Applications/Text
License: GPL
URL: http://trac.moonwolf.com/%{rbname}/wiki/
Source0: http://www.moonwolf.com/ruby/archive/%{rbname}-%{version}.tar.gz 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby-racc, ruby-amstd, xemacs-sumo
BuildRequires: emacs >= %{emacsver}
BuildRequires: xemacs >= %{xemacsver}
BuildArch: noarch

Requires: ruby >= 1.8.6-4m, ruby-amstd
Obsoletes: rdtool
Provides: rdtool

%description
RD document formatter & library. RD is the standard documentation
format in the commmunity of Object Oriented Scripting Language: Ruby.

%package -n rd-mode-emacs
Group: Applications/Editors
Summary: Major mode for RD editing on Emacs
Requires: emacs

%description -n rd-mode-emacs
Major mode for RD editing.

%package -n rd-mode-xemacs
Group: Applications/Editors
Summary: Major mode for RD editing on XEmacs
Requires: xemacs

%description -n rd-mode-xemacs
Major mode for RD editing.

%prep
%setup -q -n rdtool-%{version}

%build
ruby setup.rb config \
    --bindir=%{_bindir} \
    --rbdir=%{ruby_sitelibdir} \
    --sodir=%{ruby_sitearchdir}
ruby setup.rb setup
(cd utils
  emacs -batch -q -no-site-file -f batch-byte-compile rd-mode.el
  %__mv rd-mode.elc rd-mode.elc.emacs
  xemacs -batch -q -no-site-file -f batch-byte-compile rd-mode.el
  %__mv rd-mode.elc rd-mode.elc.xemacs
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --bindir=%{buildroot}%{_bindir} \
    --rbdir=%{buildroot}%{ruby_sitelibdir} \
    --sodir=%{buildroot}%{ruby_sitearchdir}
ruby setup.rb install
(cd utils
  %__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/rd
  %__install -m 644 rd-mode.el %{buildroot}%{e_sitedir}/rd
  %__install -m 644 rd-mode.elc.emacs %{buildroot}%{e_sitedir}/rd/rd-mode.elc
  %__mkdir_p %{buildroot}%{sitepdir}/lisp/rd
  %__install -m 644 rd-mode.el %{buildroot}%{sitepdir}/lisp/rd
  %__install -m 644 rd-mode.elc.xemacs %{buildroot}%{sitepdir}/lisp/rd/rd-mode.elc
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%{_bindir}/rd2
%{_bindir}/rdswap
%{ruby_sitelibdir}/rd
%doc README.html README.ja.html README.rd README.rd.ja HISTORY
%doc doc/rd-draft.rd doc/rd-draft.rd.ja

%files -n rd-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/rd

%files -n rd-mode-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/rd

%changelog
* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.22-8m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.22-7m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.22-6m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.22-5m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.22-4m)
- rebuild against xemacs-21.5.29

* Thu Apr  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.22-3m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.22-2m)
- rebuild against rpm-4.6

* Mon Oct 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.22-1m)
- update 0.6.22

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.20-6m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.20-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.20-4m)
- %%NoSource -> NoSource

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.20-2m)
- rebuild against ruby-1.8.6-4m

* Tue Oct 31 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.20-1m)
- update to 0.6.20
  obsolete Patch0: %%{rbname}-0.6.13-momonga.patch
  obsolete Patch1: %%{rbname}-0.6.13-output-format-visitor.rb-for-ruby-1.8.patch
- rebuild against emacs-22.0.90
- change License from GPL to Ruby
- change URI

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.6.13-2m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Wed Aug 20 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.6.13-1m)
- version up
- apply Patch1: rdtool-0.6.13-output-format-visitor.rb-for-ruby-1.8.patch

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.11-5m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.11-4m)
- rebuild against ruby-1.8.0.

* Wed Nov 13 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (0.6.11-3m)
- requires ruby-racc-runtime, not ruby-racc.
- use rbconfig.

* Mon May 20 2002 Junichiro Kita<kita@kondara.org>
- (0.6.11-2k)
- ver up

* Tue Nov 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-10k)
- grab directory

* Thu Nov  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-8k)
- apply rdtool-0.6.10-rd2html-lib.rb.patch
- never use %triggerin

* Thu Oct 25 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.10-6k)
- use %triggerin section for rd-mode-emacsen

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-4k)
- add rdtool.rdblockparser.ry.patch

* Mon Oct  8 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.6.10-2k)
- add utils/rdswap.rb
- merge 'rd-mode-emacs' package
- make 'rd-mode-xemacs' package

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.7-3k)
- version 1.6.7

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Tue Sep 12 2000 Toru Hoshina <t@kondara.org>
- renamed ruby-rdtool from rdtool.

* Sat Jun 18 2000 AYUHANA Tomonori <l@kondara.org>
- add ruby-amstd at BuildPreReq
- add -q at %setup

* Sat Jun 10 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- Upstream new version.

* Sun Apr 23 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Copyright, Group, BuildRoot, Summary )

* Thu Apr 20 2000 Toru Hoshina <t@kondara.org>
- add BuildPreReq tag for racc.
- No architecture dependency.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.

